import json
import numpy as np
import pandas as pd
import os
import shutil
import time
import h5py
import matplotlib.pyplot as plt
import plot as plot
import interpolate as interpol
import math


def time_handling(t, nd, n_days, t1, my, sigma, interpolated, t1_we, my_we, sigma_we, interpolated_we):
    day = 864000
    sa = 6
    so = 7
    data = np.zeros((t), dtype=None)
    a = np.zeros((n_days), dtype=None)


    if nd == 0:
        a[nd] = np.random.normal((my+(nd*day)), sigma)
        h = a[nd]
        h = int(h)
        for j in range(t1-1):
            data[h+j] = interpolated[j]

    elif math.fmod(nd, sa) == 0:
        a[nd] = np.random.normal((my_we+(nd*day)), sigma)
        h = a[nd]
        h = int(h)
        for j in range(t1_we-1):
            data[h+j] = interpolated_we[j]

    elif math.fmod(nd, so) == 0:
        a[nd] = np.random.normal((my_we+(nd*day)), sigma)
        h = a[nd]
        h = int(h)
        for j in range(t1_we-1):
            data[h+j] = interpolated_we[j]

    else:

        a[nd] = np.random.normal((my+(nd*day)), sigma)
        h = a[nd]
        h = int(h)
        for j in range(t1-1):

            data[h+j] = interpolated[j]

    return data
